/*
Theme Name: El Fenn
Theme URI: http://iver.select-themes.com
Description: A child theme of Iver Theme
Author: Select Themes
Author URI: http://themeforest.net/user/select-themes
Version: 1.0.0
Text Domain: iver
Template: iver
*/

:root { 
    --red: #c80000;
    --red-rgb: 200,0,0;
    --pink: #b30060;
    --yellow: #ffab25;
}

/* LAZY LOAD IMAGE STYLES IF LITESPEED SETTING IS ON */
/* LITESPEED > PAGE OPTIMISATION > MEDIA SETTINGS */
[data-lazyloaded] {
    opacity: 0;
}
.litespeed-loaded{
    transition: opacity 1s linear 0.2s;
    opacity: 1;
}

/* SET STATIC HEADER TO TRANSPARENT */
/*
.qodef-light-header .qodef-page-header>div:not(.fixed):not(.qodef-sticky-header).qodef-menu-area {
    background: transparent !important;
}
*/

/* INCREASE SIZE OF MENU TOGGLES */
.qodef-fullscreen-menu-opener {
    transform: scale(1.5);
}


/* 
HIDE HEADER LOGO IF PAGE HAS REVSLIDER
added by custom function check_for_slider() 
*/
body[data-has-slider] .qodef-page-header .qodef-menu-area .qodef-logo-wrapper {
    display: none;
}


/* HIDE OWL CAROUSEL NAVIGATION DOTS */
.owl-dots {
    display: none;
}


/* MOBILE MENU ****************************************************************/
@media only screen and (max-width: 768px) {
    nav.qodef-fullscreen-menu>ul {
        width: unset;
        padding: 0 30px;
    }
    nav.qodef-fullscreen-menu > ul > li > a {
        font-size: 30px !important;
    }
    nav.qodef-fullscreen-menu>ul>li {
        text-align: left;
    }
    nav.qodef-fullscreen-menu ul li ul.sub_menu {
        position: unset;
        left: unset;
        width: unset;
        margin-top: -25px;
    }
    nav.qodef-fullscreen-menu>ul>li ul.sub_menu li a {
        left: unset;
    }
}
.qodef-mobile-header .qodef-fullscreen-menu-opener.qodef-fm-opened .qodef-fullscreen-menu-opener-icon {
    color: transparent;
}
.qodef-mobile-header .qodef-fullscreen-menu-opener.qodef-fm-opened .qodef-fullscreen-menu-close-icon {
    color: black;
}



/* SET ROOM HOVER STATES TO ALWAYS VISIBLE ON MOBILE **************************/
@media only screen and (max-width: 768px) {
    .qodef-hrl-holder.qodef-hrl-gallery.qodef-hrl-gallery-hover-st .qodef-hrl-item-content,
    .qodef-hrl-holder.qodef-hrl-gallery.qodef-hrl-gallery-hover-st .qodef-hrl-item-content .qodef-hrl-item-content-inner {
        opacity: 1;
    }
    .qodef-hrl-holder.qodef-hrl-gallery .qodef-hrl-item-title {
        font-size: 30px !important;
    }
}



/* FIX SUBTITLE DECORATIVE LINE SPACING */
.qodef-section-title-holder .qodef-st-subtitle:before {
    top: 0.8em;
}



/* STYLE CONTACTFORM7 RESPONSE AREA */
div.wpcf7-response-output {
    margin: 1em 0;
    padding: .75em 1.5em;
    border: 0;
}
div.wpcf7-validation-errors, 
div.wpcf7-acceptance-missing {
    background: var(--red);
    color: white;
}
span.wpcf7-not-valid-tip {
    margin-top: -22px;
    margin-bottom: 24px;
    color: var(--red);
}
div.wpcf7-mail-sent-ok {
    background: #DFF2BF;
}
div.wpcf7-mail-sent-ok:before,
div.wpcf7-validation-errors:before {
    font-family: 'dripicons-v2';
    margin-right: 10px;
    vertical-align: text-top;
    display: inline-block;
}
div.wpcf7-validation-errors:before {
    content: "\e063";
}
div.wpcf7-mail-sent-ok:before {
    content: "\53";
}




/* MAILCHIMP RESPONSE AREA FONT COLOR */
.mc4wp-response {
    color: white;
}



/* CUSTOMISE BOOKING STRIP BUTTON *********************************************/
.qodef-hotel-filter-holder.qodef-hotel-filter-skin-light .qodef-btn.qodef-btn-solid {
    color: white !important;
}
.qodef-hotel-filter-holder.qodef-hotel-filter-skin-light .qodef-btn.qodef-btn-solid .qodef-btn-bgrnd-idle {
    background: transparent !important;
}
.qodef-hotel-filter-holder.qodef-hotel-filter-skin-light .qodef-btn.qodef-btn-solid .qodef-btn-bgrnd-hover {
    background: white !important;
}
.qodef-hotel-filter-holder.qodef-hotel-filter-skin-light .qodef-btn.qodef-btn-solid:hover {
    color: var(--red) !important;
}

/* ADJUST PROMO CODE BOX WIDTH ON STRIP ************************************************/
@media only screen and (min-width: 1025px) {
    .qodef-hrf-type-stripe .qodef-hotel-filters-cell.custom-filter-promo-cell {
        width: 9% !important;
    }
}



/* NON-MASONRY STYLE LAYOUTS REMOVE EXTRA PADDING FROM INNER COLUMNS */
.custom-masonry-grid .vc_column-inner {
    padding: 0 !important;
}



/* NEWSLETTER BANNER FORM  ****************************************************/
.custom-banner-form .qodef-cf7-btn-wrapper {
    color: white;
    display: block !important;
}
.custom-banner-form .qodef-cf7-btn-wrapper .qodef-cf7-btn-bgrnd-idle {
    background: transparent !important;
}
.custom-banner-form .qodef-cf7-btn-wrapper .qodef-cf7-btn-bgrnd-hover {
    background: white !important;
}
.custom-banner-form .qodef-cf7-btn-wrapper:hover input[type='submit'] {
    color: #b30060 !important;
}


/* FIX TITLE AREAS ON SINGLE HOTEL ROOM PAGES *********************************/
.single-hotel-room .qodef-title-holder {
    height: auto !important;
    padding-top: 40px !important;
}
.single-hotel-room .qodef-container-inner {
    padding-top: 10px !important;
}





/* CUSTOMISE SMASH BALLOON INSTAGRAM FEED PLUGIN ******************************/

#sb_instagram #sbi_load .sbi_load_btn, #sb_instagram .sbi_follow_btn a {
    border-radius: 0;
    background: black !important;
    font-size: unset;
}
#sb_instagram .sb_instagram_header {
    text-align: center;
}
#sb_instagram .sb_instagram_header a {
    display: inline-flex;
    align-items: center;
    float: none;
    color: #000;
}
.sbi_no_avatar .sbi_header_img {
    background: transparent;
}
.sbi_no_avatar .sbi_header_hashtag_icon {
    color: #000;
    opacity: unset;
}
#sb_instagram .sb_instagram_header .sbi_header_hashtag_icon .sbi_new_logo, 
#sb_instagram .sb_instagram_header .sbi_header_img_hover .sbi_new_logo {
    position: unset;
    top: unset;
    left: unset;
    width: 40px;
    height: 40px;
    margin: unset;
}
#sb_instagram .sb_instagram_header .sbi_header_img {
    width: unset;
    height: unset;
    border-radius: unset;
    float: unset;
    margin: 0 10px 0 0 !important;
    order: -1;
    flex-shrink: 0;
}
#sb_instagram .sb_instagram_header .sbi_header_text.sbi_no_bio h3,
#sb_instagram .sb_instagram_header .sbi_header_text {
    padding: 0 !important;
    margin: 0 !important;
}
#sb_instagram #sbi_load .sbi_load_btn:hover,
#sb_instagram .sbi_follow_btn a:focus, 
#sb_instagram .sbi_follow_btn a:hover {
    box-shadow: unset;
}



/* SITEMINDER *****************************************************************/
.ibe {
    max-width: unset !important;
}


/* FOOTER *********************************************************************/

/* REDUCE FOOTER VERTICAL PADDING */
.qodef-page-footer .qodef-footer-top-holder .qodef-footer-top-inner.qodef-grid {
    padding: 60px 0;
}
/* SET FOOTER FORM ELEMENTS TO FULL WIDTH */
.qodef-page-footer .qodef-column-content .qodef-newsletter-form {
    width: 100%;
}
.qodef-page-footer .qodef-column-content .qodef-btn {
    width: 100%;
    text-align: center;
}
/* FIX FOOTER ICON WIDGETS */
.qodef-page-footer .qodef-icon-widget-holder {
    display: flex;
    margin: 0 50px 0 0;
}

